% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/update_simplex.R
\name{volnmf_simplex_row}
\alias{volnmf_simplex_row}
\title{Update of a matrix in NMF with equality contstraints on rows.}
\usage{
volnmf_simplex_row(X, R, C.prev = NULL, meq = 1)
}
\arguments{
\item{X}{Numeric Matrices. Matrices involved in the objective function.}

\item{R}{Numeric Matrices. Matrices involved in the objective function.}

\item{C.prev}{Numeric Matrices. Matrices involved in the objective function. Matrix \code{C.prev} serves as initialization. (default=NULL)}

\item{meq}{An integer 0 or 1. Require equality (\code{meq=1}) or inequality (\code{meq=0}) constratint on rows (by default 1).}
}
\value{
An updated matrix \code{C}.
}
\description{
\code{volnmf_simplex_row} finds non-negative matrix \code{C} that minimizes the objective \code{||X-C*R||^2}
under constraints that rows of C equal to 1 using per-row quadratic programming.
}
